> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://next.developer.frame.io/camera-to-cloud/api-reference/applications-auth/device-list-projects/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://next.developer.frame.io/_mcp/server. # List projects for account GET https://api.frame.io/v2/devices/accounts/{account_id}/projects List available Projects to pair your C2C device with. Reference: https://next.developer.frame.io/camera-to-cloud/api-reference/applications-auth/device-list-projects ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `account_id` (string, required) — Account ID ### Headers - `x-client-version` (string, optional, default: 0.0.0) — Firmware or software version of a C2C integration. Will be used to determine the correct Device Model configuration for the device when multiple are available. Must be a valid semantic version. For more on semantic versions, see here: https://semver.org/ ## Response ### 200 Example response - `list of V2DevicesAccountsAccountIdProjectsGetResponsesContentApplicationJsonSchemaItems` ## Errors ### 403 Forbidden Error Unauthorized response - `code` (integer, optional) - `errors` (list of HttpErrorErrorsItems, optional) - `message` (string, optional) ### 404 Not Found Error Not Found response - `code` (integer, optional) - `errors` (list of HttpErrorErrorsItems, optional) - `message` (string, optional) ## Types ### V2DevicesAccountsAccountIdProjectsGetResponsesContentApplicationJsonSchemaItems - `_type` (enum, required) — Type of the returned object. - Allowed values: `project` - `id` (string, required) — Frame.io project ID - `name` (string, required) — Name of the Frame.io project ### HttpErrorErrorsItems - `code` (integer, optional) - `detail` (string, optional) - `status` (integer, optional) - `title` (string, optional) ## Examples **Request** ```json {} ``` **Response** ```json [ { "_type": "project", "id": "921480ec-1225-424a-9447-19c61a3a1ef2", "name": "Match Recordings" }, { "_type": "project", "id": "ed5dbf4a-f146-416b-add0-74de98201876", "name": "Year Book Material" } ] ``` **SDK Code** ```python import requests url = "https://api.frame.io/v2/devices/accounts/eefb57e0-79f2-4bc7-9b70-99fbc175175c/projects" payload = {} headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.get(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.frame.io/v2/devices/accounts/eefb57e0-79f2-4bc7-9b70-99fbc175175c/projects'; const options = { method: 'GET', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.frame.io/v2/devices/accounts/eefb57e0-79f2-4bc7-9b70-99fbc175175c/projects" payload := strings.NewReader("{}") req, _ := http.NewRequest("GET", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.frame.io/v2/devices/accounts/eefb57e0-79f2-4bc7-9b70-99fbc175175c/projects") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.frame.io/v2/devices/accounts/eefb57e0-79f2-4bc7-9b70-99fbc175175c/projects") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php request('GET', 'https://api.frame.io/v2/devices/accounts/eefb57e0-79f2-4bc7-9b70-99fbc175175c/projects', [ 'body' => '{}', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.frame.io/v2/devices/accounts/eefb57e0-79f2-4bc7-9b70-99fbc175175c/projects"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.frame.io/v2/devices/accounts/eefb57e0-79f2-4bc7-9b70-99fbc175175c/projects")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```